Skip to navigation

Get Printer by ID

Beta
Get a single Printer by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

printer_idstringRequired
ID of the Printer.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
addressstringOptional
Network address of the printer.
createdAtstring or nullOptional
Datetime when the printer was created.
descriptionstring or nullOptional
Short description of the printer.
idstringOptional
ID of the printer.
modifiedAtstring or nullOptional
Datetime when the printer was last modified.
namestringOptional
Name of the printer.
portinteger or nullOptional
Port to reach the printer at.
registryobjectOptional
The registry associated with this printer.

Errors

400
Printer Get Request Bad Request Error
403
Printer Get Request Forbidden Error
404
Printer Get Request Not Found Error
429
Printer Get Request Too Many Requests Error
500
Printer Get Request Internal Server Error